﻿<Project Sdk="Microsoft.NET.Sdk.Web">
  
  <PropertyGroup>
    <TargetFramework>netcoreapp2.2</TargetFramework>
  </PropertyGroup>
  
  <ItemGroup>
    <Compile Remove="out\**" />
    <Content Remove="out\**" />
    <EmbeddedResource Remove="out\**" />
    <None Remove="out\**" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="App.Metrics" Version="3.1.0" />
    <PackageReference Include="App.Metrics.AspNetCore.Health" Version="3.1.0" />
    <PackageReference Include="App.Metrics.AspNetCore.Health.Endpoints" Version="3.1.0" />
    <PackageReference Include="App.Metrics.AspNetCore.Mvc" Version="3.1.0" />
    <PackageReference Include="App.Metrics.Reporting.InfluxDB" Version="3.1.0" />
    <PackageReference Include="Hangfire.AspNetCore" Version="1.7.7" />
    <PackageReference Include="Hangfire.Core" Version="1.7.7" />
    <PackageReference Include="Hangfire.PostgreSql" Version="1.6.3" />
    <PackageReference Include="Microsoft.AspNetCore.App" />
    <PackageReference Include="Microsoft.AspNetCore.Razor.Design" Version="2.2.0" PrivateAssets="All" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.InMemory" Version="2.2.6" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Proxies" Version="2.2.6" />
    <PackageReference Include="Microsoft.EntityFrameworkCore" Version="2.2.6" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Tools" Version="2.2.6">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
    <PackageReference Include="Microsoft.VisualStudio.Web.CodeGeneration.Design" Version="2.2.3" />
    <PackageReference Include="Npgsql.EntityFrameworkCore.PostgreSQL" Version="2.2.0" />
    <PackageReference Include="Swashbuckle.AspNetCore" Version="4.0.1" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\Domain\Domain.csproj" />
    <ProjectReference Include="..\Infrastructure\Infrastructure.csproj" />
  </ItemGroup>

  <ItemGroup>
    <None Update="BahngleisAPICore.xml">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
  </ItemGroup>
</Project>
